> **Currently in BETA and under active development.**

# n8n-nodes-piapi

This n8n community node enables seamless integration of **[PiAPI](https://piapi.ai/workspace?via=valics) in your [n8n](https://n8n.io) workflows**.

## Features

- Image to Video
- Text to Video
- Director Mode (camera control)
- Video Extension
- Video Effects
- Text to Image
- Image to Image
- Virtual Try-on
- Face swapping (single face and multi-face with precise index-based control)
- Lip sync
- Sound Creation
- Text to 3D
- Image to 3D
- Image/Video Upscale
- Remove Background
- Segment
- GPT-4o Image Generation
- Temporarely store files

## GPT-4o Image Generation

The new GPT-4o integration allows for:
- Advanced text-to-image generation with superior text rendering
- Image-to-image editing with natural language instructions

## Director Mode

The Director Mode (available in Hailuo nodes) allows:
- Camera movement control in video generation
- Use bracket syntax like `[Push in,Pedestal up]walking man` in your prompts
- Supports movements such as Pan, Tilt, Truck, Push, Pedestal, Zoom, Shake and Static shot
- Available in both text-to-video and image-to-video nodes

## Installation

Follow the [installation guide](https://docs.n8n.io/integrations/community-nodes/installation/) in the n8n community nodes documentation.

## More information

Description of the node will go here.

## Credentials

You will need an API key from piapi.ai to use this node. Add the API key to the credentials section in the settings of the node.

## Compatibility

1.80.0 and above

## License

[MIT](https://github.com/n8n-io/n8n-nodes-piapi/blob/master/LICENSE.md)
